import vl from 'vega-lite-api';

export const points = vl
  .markCircle({ size: 50 })
  .project(vl.projection('albersUsa'))
  .encode(
    vl.latitude().fieldQ('lat'),
    vl.longitude().fieldQ('lon'),
    vl.color().fieldN('CASE_STATUS'),
    vl.tooltip().fieldN('CASE_STATUS')
  );
const map = vl
  .markGeoshape({ fill: '#BAD2E2', stroke: '#fff', strokeWidth: 1 })
  .data(
    vl
      .topojson(
        'https://raw.githubusercontent.com/vega/vega/master/docs/data/us-10m.json'
      )
      .feature('states')
  );

export const viz = vl.layer(map, points);
